Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.gc
Class GCNode

    java.lang.Object
      rice.p2p.past.gc.GCNode

All Implemented Interfaces:
  Node

public class GCNode
extends java.lang.Object
implements Node

Version:
  $Id: GCNode.java 2622 2005-06-30 22:22:26Z jeffh $
Author:
  Alan Mislove

Field Summary
`protected Node` | `node` The node which this mulitring node is wrapping

Constructor Summary
`GCNode(Node node)` Constructor

Method Summary
`Environment` | `getEnvironment()` Gets the Environment attribute of the GCNode object
`Id` | `getId()` Returns the Id of this node
`IdFactory` | `getIdFactory()` Returns a factory for Ids specific to this node's protocol.
`NodeHandle` | `getLocalNodeHandle()` Method which returns the node handle to the local node
`Endpoint` | `registerApplication(Application application, int port)` This returns a Endpoint specific to the given application and instance name to the application, which the application can then use in order to send an receive messages.
`Endpoint` | `registerApplication(Application application, java.lang.String instance)` This returns a VirtualizedNode specific to the given application and instance name to the application, which the application can then use in order to send an receive messages.
`java.lang.String` | `toString()` Prints out the string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### node

    protected Node node

  The node which this mulitring node is wrapping

Constructor Detail

### GCNode

    public GCNode(Node node)

  Constructor

Parameters:
  `node` - The node which this multiring node is wrapping

Method Detail

### getLocalNodeHandle

    public NodeHandle getLocalNodeHandle()

  Method which returns the node handle to the local node

  Specified by:
    `getLocalNodeHandle` in interface `Node`
  Returns:
    A handle to the local node

### getId

    public Id getId()

  Returns the Id of this node

  Specified by:
    `getId` in interface `Node`
  Returns:
    This node's Id

### getIdFactory

    public IdFactory getIdFactory()

  Returns a factory for Ids specific to this node's protocol.

  Specified by:
    `getIdFactory` in interface `Node`
  Returns:
    A factory for creating Ids.

### getEnvironment

    public Environment getEnvironment()

  Gets the Environment attribute of the GCNode object

  Specified by:
    `getEnvironment` in interface `Node`
  Returns:
    The Environment value

### registerApplication

    public Endpoint registerApplication(Application application,
                                        java.lang.String instance)

  This returns a VirtualizedNode specific to the given application and instance name to the application, which the application can then use in order to send an receive messages.

  Specified by:
    `registerApplication` in interface `Node`
  Parameters:
    `application` - The Application
    `instance` - An identifier for a given instance
  Returns:
    The endpoint specific to this applicationk, which can be used for message sending/receiving.

### registerApplication

    public Endpoint registerApplication(Application application,
                                        int port)

  This returns a Endpoint specific to the given application and instance name to the application, which the application can then use in order to send an receive messages. This method allows advanced developers to specify which "port" on the node they wish their application to register as. This "port" determines which of the applications on top of the node should receive an incoming message. NOTE: Use of this method of registering applications is recommended only for advanced users - 99% of all applications should just use the other registerApplication

  Specified by:
    `registerApplication` in interface `Node`
  Parameters:
    `application` - The Application
    `port` - The port to use
  Returns:
    The endpoint specific to this applicationk, which can be used for message sending/receiving.

### toString

    public java.lang.String toString()

  Prints out the string

  Returns:
    A string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.